Package lxml :: Module cssselect :: Class CSSSelector

[frames] | no frames]

# Class CSSSelector

source code

                   object --+
                            |
    etree._XPathEvaluatorBase --+
                                |
                      etree.XPath --+
                                    |
                                   CSSSelector

A CSS selector.

Usage:

    >>> from lxml import etree, cssselect
    >>> select = cssselect.CSSSelector("a tag > child")

    >>> root = etree.XML("<a><b><c/><tag><child>TEXT</child></tag></b></a>")
    >>> [ el.tag for el in select(root) ]
    ['child']

Instance Methods

__init__(self, css) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code

__repr__(self) repr(x) | source code

Inherited from `etree.XPath`: `__call__`, `__new__` Inherited from `etree._XPathEvaluatorBase`: `evaluate` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__str__`

Properties
Inherited from `etree.XPath`: `path` Inherited from `etree._XPathEvaluatorBase`: `error_log` Inherited from `object`: `__class__`

Method Details

### __init__(self, css)
(Constructor)

source code

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)